2004-07-01  Ken Raeburn  <raeburn@mit.edu>

	* kinit.c (k5_kinit): Don't free addresses after calling
	krb5_get_init_creds_opt_set_address_list; it doesn't make a copy.

2004-06-16  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (all-mac): Target deleted.

2003-08-01  Tom Yu  <tlyu@mit.edu>

	* kinit.c (main): Apply patch from Stephen Grau to correctly
	return non-zero for certain error conditions.

2003-05-29  Ken Raeburn  <raeburn@mit.edu>

	* kinit.c (KRB4_BACKUP_DEFAULT_LIFE_SECS): Update to one day.

2003-05-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (kinit): Don't use krb524 library.
	* kinit.c: Don't include krb524.h.
	(try_convert524): Don't call krb524_init_ets.

2002-11-05  Tom Yu  <tlyu@mit.edu>

	* kinit.c (k4_kinit): Remove trailing colon, as new implementation
	of krb5_read_password() appends it.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-07-30  Ezra Peisach  <epeisach@bu.edu>

	* kinit.c (ULINE): Invoke fprintf with correct number of arguments
	depending on if V4 support is compiled in or not.

2002-07-17  Jen Selby <jenselby@mit.edu>

	* kinit.M: added documentation of the "-a" option

2001-12-10  Danilo Almeida  <dalmeida@mit.edu>

	* kinit.c (main): Fix typo in #ifdef KRB5_KRB4_COMPAT.  Thanks to
	rbasch@mit.edu

2001-09-24  Mitchell Berger  <mitchb@mit.edu>

	* kinit.M: Correct some typos.  Thanks to Dennis Davis
	<D.H.Davis@bath.ac.uk>

2001-06-11  Ezra Peisach  <epeisach@mit.edu>

	* kinit.c (k4_begin): Cleanup assignment in conditional warning.

2001-04-05  Danilo Almeida  <dalmeida@mit.edu>

	* kinit.c (k4_kinit): Use ANSI C-style string continuation.

2000-10-17  Ezra Peisach  <epeisach@mit.edu>

	* kinit.c (k4_kinit): Argument to krb5_read_password takes as
	unsigned int as argument.

2000-10-09  Tom Yu  <tlyu@mit.edu>

	* kinit.c (k4_kinit): Call time_to_life().

2000-10-03  Ezra Peisach  <epeisach@mit.edu>

	* kinit.c: Include krb524.h if suport desired. Clean up
	addignements in conditionals and do not shadow global variables. 

2000-03-16  Ezra Peisach  <epeisach@mit.edu>

	* kinit.c (k4_kinit): Fix the code that was broken with
	krb5_get_prompt_types code changes. Also - cleanup unused
	variables when krb4 not compiled in.

2000-03-15  Danilo Almeida  <dalmeida@mit.edu  >

	* kinit.c: Add support for krb5_get_prompt_types.

2000-03-07  Danilo Almeida  <dalmeida@mit.edu>

	* kinit.c: Add support for using both -4 and -5.  Default to krb5
	only.  Add KINIT_DEFAULT_BOTH support.  Tweak usage info.

	* kinit.M: Fix a couple of typos.  Document new default
	behavior.   Document that -4 and -5 may be combined.

2000-02-16  Danilo Almeida  <dalmeida@mit.edu>

	* kinit.M: Document that -s is not applicable to Kerberos 4.

	* kinit.c: Nicer usage message.  Better checking for illegal
	options.  Do not output error when doing Kerberos 4 if we will be
	trying 524 afterwards.  Add hooks for future support for
	specifying the Kerberos 4 cache name.  Fix GET_PROGNAME macro to
	properly return program name under Win32.  Re-indent, turning
	spaces that should be tabs into tabs.

	* kinit.M: Document new Kerberos 4 kinit behavior.

2000-02-07  Ken Raeburn  <raeburn@mit.edu>

	* kinit.c (try_convert524): Avoid duplicate free calls.

2000-02-04  Danilo Almeida  <dalmeida@mit.edu>

	* kinit.c: Only free stuff if it's not NULL.

2000-02-04  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (kinit): Fix to build on Unix again.

2000-02-04  Danilo Almeida  <dalmeida@mit.edu>

	* kinit.c: Major revamp to support Kerberos 4 compatibility.  Code
	restructured to allow changes to support Kerberos 4 or Kerberos 5
	only operation depending on whether dynamic libraries are
	avialable.  Explicit documentation and support files to make it
	easy to do this will be forthcoming.

	* Makefile.in: On Windows, use getopt.lib instead of getopt.obj, 
	and add support for getopt_long.

1999-12-03  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Windows fix for 10/26/99 cleanup.

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

1999-08-25  Ken Raeburn  <raeburn@mit.edu>

	* kinit.c (optind, optarg) [sun]: Declare on SunOS 4.  Maybe
	declare unconditionally, in the future.

1999-08-12  Ken Raeburn  <raeburn@mit.edu>

	* kinit.c (main): Initialize cache_name to null, in case it's not
	set.

1999-08-09  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Use standard windows exe link flags.

Mon May 10 15:13:37 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

Mon Feb  8 22:10:36 1999  Theodore Y. Ts'o  <tytso@mit.edu>

	* kinit.c: If unistd.h is not available, use manual definitions
		for getopt, optarg, and optind.  (For Windows).

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

1998-10-26  Marc Horowitz  <marc@mit.edu>

	* kinit.c: convert to new init_creds api

1998-05-06  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* kinit.c (main): POSIX states that getopt returns -1 when it
		is done parsing options, not EOF.

Wed Feb 18 15:42:14 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trailing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.  Remove extraneous whitespace.

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Wed Jan 21 15:10:37 1998  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* kinit.c (main): returns int, not void. ANSI X3.159-1989
	2.1.2.2.1 says so, and gcc now warns about it. (eichin@cygnus.com)

Thu May 29 19:39:08 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* kinit.c (main): Fix bug where kinit would core dump if given a
		really long principal name.

Tue Feb 25 00:29:46 1997  Richard Basch  <basch@lehman.com>

	* kinit.c: Moved krb5_read_password back into the library (win32)

Sat Feb 15 12:24:32 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Link in ComErr library $(CLIB)
	* kinit.c: Winsock initialization/teardown is now done by krb5 lib

Thu Feb 13 14:27:41 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in:
		Link wsock32 library (win32)

	* kinit.c:
		Added krb5_read_password implementation for win32 console.
		Initialize Winsock library (win32)

Sat Feb  8 15:37:39 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in:
		Build kinit.exe (win32 console app)

	* kinit.c:
		Removed unused local variables
		Created prototypes for internal functions (win32)

Mon Jan 27 16:44:20 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to new program build procedure.

Thu Dec  5 21:59:08 1996  Tom Yu  <tlyu@mit.edu>

	* kinit.M: v5srvtab -> krb5.keytab [279]

Wed Nov  6 09:31:35 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* kinit.c (main): Check the return code from krb5_init_context,
		and print an error message if appropriate.  No longer call
		krb5_init_ets(), as it's no longer necessary.

Tue Sep 10 14:13:52 1996  Tom Yu  <tlyu@mit.edu>

	* kinit.M: remove ".so man1/header.doc"

Sun Jul  7 15:21:58 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* kinit.M: Document -R option.

	* kinit.c (krb5_tgt_gen): Code from krb5_validate_tgt() modified
	to handle both renewal and validation of postdated tickets. 
	(krb5_renew_tgt): Takes a credential cache with a tgt with the
	"renewable flag" set and asks ths kdc to renew it. Cache is wiped
	and only new tgt is stored.
	(main): New option -R to renew tickets.

Thu Jun 20 20:19:44 1996  Marc Horowitz  <marc@mit.edu>

	* kinit.M, kinit.c (main): Add a -s option to kinit which specifies
 	the service name to be used in the TGS_REQ.

Fri May  3 00:28:10 1996  Mark Eichin  <eichin@cygnus.com>

	* kinit.c (krb5_validate_tgt): new function, takes a credential
	cache with an tgt with the "invalid flag" set, and asks the kdc to
	validate it. Wipes cache and stores only the newly validated
	credential. (After all, there won't be any others, because the
	invalid krbtgt couldn't have gotten them.) Most of the code is
	taken from krb5_mk_req, since it did the right thing.
	(main): add -v option, validates the ticket already in the
	selected cache.

Wed May  1 02:37:17 1996  Mark Eichin  <eichin@cygnus.com>

	* kinit.c (main): add -s starttime option. Have it accept a delta
	time (if the value doesn't parse as a valid timestamp.) Set the
	postdated option as well. get time of day early enough in main so
	the options code can use it. Make the end time relative to the
	start time, if given.
	* kinit.M: document -s option.

Thu Feb 15 12:31:03 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* kinit.c (main): Do not free memory until all done using it.

Tue Sep 26 22:19:32 1995  Mark Eichin  <eichin@cygnus.com>

	* kinit.c (KRB5_DEFAULT_LIFE): default life should be 10 hours,
	not eight, for practical/social reasons.

Mon Aug 21 16:49:06 EDT 1995	Paul Park	(pjpark@mit.edu)
	* kinit.c - Use string_to_deltat to parse lifetime arguments so that
		we use common code.  Remove convtime().  Fix gcc -Wall.
	* configure.in - Add -lkadm.
	* kinit.M - Remove restriction on lifetimes.


Fri Jul 7 15:53:29 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Remove explicit library handling.
	* configure.in - Add KRB5_LIBRARIES.


Thu Jun 15 17:45:47 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Change explicit library names to -l<lib> form, and
		change target link line to use $(LD) and associated flags.
	* configure.in - Add shared library usage check.

Fri Jun  9 18:37:27 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Fri Apr 28 15:49:39 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (kinit): Use $(LD) instead of $(CC) when trying to
	        link.  (So purify works).  Note: to get things to work on
		the mac, just put LD=$(CC) in the Makefile.

Fri Apr 21 15:24:57 1995  Chris Provenzano (proven@mit.edu)

	* configure.in : Make configure look for pwd.h and define
		HAVE_PWD_H if found.

Tue Mar 28 17:55:37 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (LDFLAGS):  Remove, conflicts with pre.in.
	(kinit):  Link with $(CC) $(LDFLAGS), to work on the Mac.
	* kinit.c (HAVE_PWD_H):  Use.
	(NO_KEYTAB):  Skip keytab support if defined.
	FIXME:  NO_KEYTAB needs to be set by configure.

Fri Mar 24 14:45:00 1995    <tytso@rsx-11.mit.edu>

	* kinit.c (main): Remove the call to krb5_os_localaddr() since
		get_in_tkt_XXXX will default appropriately.

	* kinit.c (main): Kinit will print an error when there are two
		many arguments.

Thu Mar  2 12:31:49 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (ISODELIB): Remove reference to $(ISODELIB).

Wed Mar  1 16:27:21 1995  Theodore Y. Ts'o  <tytso@dcl>

	* configure.in: Remove ISODE_INCLUDE, replace check for -lsocket
		and -lnsl with WITH_NETLIB check.

Tue Feb 28 02:10:44 1995  John Gilmore  (gnu at toad.com)

	* kinit.c:  Avoid <krb5/...> and <com_err.h> includes.

Mon Feb 13 23:50:52 1995  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Use $(LD) instead of $(CC) when linking.

Thu Feb 02 22:43:38 1995  Chris Provenzano (proven@mit.edu)

	* kinit.c (main()) Removed krb5_keytype, changed krb5_enctype to
                krb5_enctype *, changed krb5_preauthtype to krb5_preauthtype *
                for krb5_get_in_tkt_with_password() rotuine.

	* kinit.c (main()) use new API for krb5_get_in_tkt(), and replace 
		krb5_get_in_tkt_with_skey() with krb5_get_in_tkt_with_keytab()
		and remove all unnecessary cruft.

	* kinit.c Do a krb5_init_context() before using a krb5_context.

Sat Jan 28 14:45:55 1995  Chris Provenzano (proven@mit.edu)

        * kinit.c (main()) use new API for krb5_kt_get_entry().

Fri Jan 13 15:23:47 1995  Chris Provenzano (proven@mit.edu)

    * Added krb5_context to all krb5_routines

Mon Oct  3 19:14:30 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Use $(srcdir) to find manual page for make install.

Fri Sep 30 22:14:12 1994  Theodore Y. Ts'o  (tytso@dcl)

	* kinit.c: Add magic number placeholder to statically defined 
	        structures.

Mon Aug  8 22:26:11 1994  Theodore Y. Ts'o  (tytso at tsx-11)

	* kinit.c: Change name of preauthentication
	KRB5_PADATA_ENC_TIMESTAMP to KRB5_PADATA_ENC_UNIX_TIME

Sat Jul 16 03:01:49 1994  Tom Yu  (tlyu at dragons-lair)

	* kinit.c: frob error codes

